org.wildfly.swarm.config.security.security_domain

## Class ClassicMapping<T extends ClassicMapping<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.security.security_domain.ClassicMapping<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ClassicMapping<T extends ClassicMapping<T>>
      extends HashMap

  Mapping configuration. Configures a list of mapping modules to be used for principal, role, attribute and credential mapping.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassicMapping.ClassicMappingResources` Child mutators for ClassicMapping

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicMapping()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `mappingModule(MappingModule value)` Add the MappingModule object to the list of subresources
    `T` | `mappingModule(MappingModuleSupplier supplier)` Install a supplied MappingModule object to the list of subresources
    `T` | `mappingModule(String childKey)` Create and configure a MappingModule object to the list of subresources
    `T` | `mappingModule(String childKey, MappingModuleConsumer consumer)` Create and configure a MappingModule object to the list of subresources
    `T` | `mappingModules(List<MappingModule> value)` Add all MappingModule objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ClassicMapping.ClassicMappingResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ClassicMapping

          public ClassicMapping()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ClassicMapping.ClassicMappingResources subresources()

    - #### mappingModules

          public T mappingModules(List<MappingModule> value)

      Add all MappingModule objects to this subresource
      Parameters:
        `value` - List of MappingModule objects.
      Returns:
        this

    - #### mappingModule

          public T mappingModule(MappingModule value)

      Add the MappingModule object to the list of subresources
      Parameters:
        `value` - The MappingModule to add
      Returns:
        this

    - #### mappingModule

          public T mappingModule(String childKey,
                                 MappingModuleConsumer consumer)

      Create and configure a MappingModule object to the list of subresources
      Parameters:
        `key` - The key for the MappingModule resource
        `config` - The MappingModuleConsumer to use
      Returns:
        this

    - #### mappingModule

          public T mappingModule(String childKey)

      Create and configure a MappingModule object to the list of subresources
      Parameters:
        `key` - The key for the MappingModule resource
      Returns:
        this

    - #### mappingModule

          public T mappingModule(MappingModuleSupplier supplier)

      Install a supplied MappingModule object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.